#ifdef STANDALONE_TEST

#include "stdafx.h"

//Headers needed for EOS programs
//You need EOS v1.1 to compile this code
#include "eos.h"

//headers specific to graph GA
#include "gdriver.h"

//when testing, used to specify graph and grid
const OPT_DEGREE = 30 ;
const NUM_NODES = 10 ; 
const GRID_WIDTH = 6;
const GRID_HEIGHT = 6 ;
const double CONNECT_PROB = 0.2 ;


void main()
{
	CGAGraphDriver testDriver(NUM_NODES, GRID_WIDTH,GRID_HEIGHT) ;
	testDriver.GenerateRandomGraph(CONNECT_PROB) ;
	printf("Initializing Population and Environment. Please Wait...\n\n") ;
	testDriver.Optimize(OPT_DEGREE) ;
}   

#endif //STANDALONE_TEST